#==============================================================================
# 		fichier de D'INSTRUCTIONS de référence
#Julien Brajard
# modified by mohamed Berrada (filtre August 2011)
#==============================================================================
#script faisant l'assimilation de référence
#paramètres à régler : TA=50 (48 pdt effectifs)
#NX=32,NY=22,NZ=31
#paramères de contrôle : ta_c
#obs (2D a t=48 Yt=50) : tb
#

##INITIALISATION
xistate_init 1 ../data_in/file_rest/GYRE_00000424_restart.nc
load_eb ta_c   // pour tenir en compte ta_c sinon sera 0 cause filtre
true_target_in_tab ta_c

xset_fdt_fco th 1000. 
xset_fdt_fco tz 10.
xset_fdt_fco kh 5.e+05
xset_fdt_fco kz 1.2e-03

xinitnc ../data_out/exp_T_2D.nc

xwriteout 0 true ../data_out/exp_T_2D.nc

print_time OFF
set_modeltime 0
FORWARD


##OBSERVATION
xwriteout 50 obs_48 ../data_out/exp_T_2D.nc

#Pour ne sauvegarder que la surface
xchangesavemode 1

savestate tb  1   ijk   50    A       1       ../data_out/tb_obs_48_2D.dat   

loadobs tb  1   ijk   50    A       1       ../data_out/tb_obs_48_2D.dat D   

#goto FINRUN

##INITIALISATION DE L'ASSIMILATION'
xistate_init 1 ../data_in/file_rest/GYRE_00000400_restart.nc
load_eb ta_c  // charger l'ebauche '
setstate nu 0
outoebx nu 1 0
set_bcoef nu 1.e-8
set_modeltime 0
print_time OFF
FORWARD

xwriteout 0 init ../data_out/exp_T_2D.nc
xwriteout 50 forw0_48 ../data_out/exp_T_2D.nc

##TEST DE LA FONCTION OBJECTIVE
goto FINTEST
testof 1.e+00 0.5e-01 2. 10 1
goto FINRUN
FINTEST
##DEBUT DE L'ASSIMILATION'
print_cost ON
set_modeltime 0
!echo "RUN OPTIMIZATION WITH M1QN3 ......."
setm_impres  5
setm_io      6
setm_mode    1
set_nbiter   100
setm_nsim    100
setm_dxmin   1.0e-4
setm_epsg    1.0e-10
setm_ddf1    1
runm

goto nomulti
load_eb ta_c  // charger l'ebauche '
set_bcoef nu 5.e-05
runm

load_eb ta_c  // charger l'ebauche '
set_bcoef nu 1.e-04
runm

##SAUVEGARDE
xwriteout 0 fin ../data_out/exp_T_2D.nc
xwriteout 50 forwfin_48 ../data_out/exp_T_2D.nc

xrst_save ../data_in/file_rest/GYRE_00000400_restart_CONTROL_T_2D.nc


nomulti

##SAUVEGARDE
xwriteout 0 fin ../data_out/exp_T_2D.nc
xwriteout 50 forwfin_48 ../data_out/exp_T_2D.nc

xrst_save ../data_in/file_rest/GYRE_00000400_restart_CONTROL_T_2D.nc



goto FINRUN


FINRUN

